/*
     KMiniDLNA Client
     https://sourceforge.net/projects/kminidlna/

     Copyright (C) 2012  Tomáš Poledný saljacky(at)gmail(dot)com

     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation, either version 3 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef kminidlna_client_H
#define kminidlna_client_H


#include <KMainWindow>
#include <KMenuBar>
#include <KMenu>
#include <KHelpMenu>
#include <KLed>
#include <QLineEdit>
#include <QCheckBox>
#include <QLabel>
#include <QPushButton>
#include <QStandardItemModel>
#include "networkclient.h"

class KMiniDLNAClient : public KMainWindow {
        Q_OBJECT
    public:
        KMiniDLNAClient();
        virtual ~KMiniDLNAClient();
	QStandardItemModel* mediaFolderModel();
    private:
        void initGUI();
        QWidget* m_mw;
        KMenuBar* menu;
        KMenu* mTool;
        KMenu* mAbout;
        KHelpMenu* aboutMenu;
        NetworkClient* m_cli;
        QLineEdit* m_host;
        QLineEdit* m_login;
        QLineEdit* m_password;
        QCheckBox* m_remPass;
        QLabel* m_lastUpdate;
        QLabel* m_version;
        KLed* m_ledState;
        QLabel* m_state;
        QPushButton* m_reload;
        QPushButton* m_folders;
        QPushButton* m_start;
        static const int  WAIT = 2500;
        QStandardItemModel m_model;
	void lastUpdate();
	bool dialogShowed;

    private slots:
        void quiteApp();
        void loadSettings();
    public slots:
        void onHostEdited();
        void onLoginEdited();
        void onPasswordEdited();
        void onRememeberPassword(int);
        void onStateRecieved(QString);
        void onVersionRecieved(QString);
        void onNoConnection(int);
        void onMediaFoldersLoaded(QString);
        void onStart();
        void onFolders(bool);
    signals:
        void modelLoaded();
};

#endif // kminidlna_client_H
