/*
     KMiniDLNA Android client

     Copyright (C) 2012  Tomáš Poledný saljacky(at)gmail(dot)com

     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation, either version 3 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <KAboutData>
#include <KApplication>
#include <KCmdLineArgs>
#include <QString>
#include <QPointer>
#include <qglobal.h>
#include "kminidlna-client.h"

const QString VERSION = "1.0";
int main(int argc, char** argv) {
  
    Q_INIT_RESOURCE(resource);

    QString versionName = VERSION;

    KAboutData aboutData("kminidlna-client",
                         0,
                         ki18n("KMiniDLNA Client"),
                         versionName.toLocal8Bit(),
                         ki18n("Client for KMiniDLNA"),
                         KAboutData::License_GPL_V2);

    aboutData.addAuthor(ki18n("Tomáš Poledný"), ki18n("Author"), QByteArray("saljacky@gmail.com"));
    aboutData.setProgramLogo(qVariantFromValue(QImage(":/images/ikona.png")));
    aboutData.setBugAddress("Author email");
    KCmdLineArgs::init(argc, argv, &aboutData);
    KApplication app;
    app.setWindowIcon(QIcon(":/images/ikona.png"));
    QPointer<KMiniDLNAClient> win = new KMiniDLNAClient;
    win->show();
    return app.exec();
}
