/*
     KMiniDLNA Client
     https://sourceforge.net/projects/kminidlna/

     Copyright (C) 2012  Tomáš Poledný saljacky(at)gmail(dot)com

     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation, either version 3 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#include "mediafolderswidget.h"
#include <KLocalizedString>
#include <QVBoxLayout>
#include <QHeaderView>

MediaFoldersWidget::MediaFoldersWidget(QStandardItemModel* model, QWidget* parent, Qt::WindowFlags f): QWidget(parent, f) {
    m_model = model;
    initGUI();
    loadModel();
}


void MediaFoldersWidget::initGUI() {
    QVBoxLayout* l = new QVBoxLayout(this);
    m_tableView = new QTableView(this);
    m_tableView->setSelectionBehavior(QAbstractItemView::SelectRows);
    m_tableView->setSelectionMode(QAbstractItemView::SingleSelection);
    m_tableView->resizeRowsToContents();
    m_tableView->setEditTriggers(QAbstractItemView::NoEditTriggers);
    m_tableView->horizontalHeader()->setResizeMode(QHeaderView::Stretch);
    m_tableView->verticalHeader()->setVisible(false);
    
    l->addWidget(m_tableView);
}

void MediaFoldersWidget::loadModel() {
    m_tableView->setModel(m_model);
}
